%define	version	2.3
%define	name	anacron
%define	release	%mkrel 25

Name:		%{name}
Summary:	A cron-like program that doesn't go by time
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://sourceforge.net/projects/anacron/
Group:		System/Servers
Source0:	http://download.sourceforge.net/anacron/%{name}-%{version}.tar.bz2
Source1:	anacrontab
Source2:	anacron.init
Source3:	anacron.pm-utils
Requires(post): rpm-helper
Requires(preun):rpm-helper
Provides:	cron-daemon
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:		%{name}-remove_sendmail_complain.patch
Patch1:		anacron-2.3-gcc3.4-fix.patch

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler.  It
executes commands at intervals specified in days.  Unlike cron, it
does not assume that the system is running continuously.  It can
therefore be used to control the execution of daily, weekly and
monthly jobs (or anything with a period of n days), on systems that
don't run 24 hours a day.  When installed and configured properly,
Anacron will make sure that the commands are run at the specified
intervals as closely as machine-uptime permits.

This package is pre-configured to execute the daily jobs of the
Mandriva Linux system. You should install this program if your system
isn't powered on 24 hours a day to make sure the maintenance jobs of
other Mandriva Linux packages are executed each day.

%prep
%setup -q

%patch0 -p1 -b .sendmail
%patch1 -p1 -b .gcc34

%build
%serverbuild
#make CFLAGS="$RPM_OPT_FLAGS"
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/var/spool/anacron/

cp anacron $RPM_BUILD_ROOT%{_sbindir}
cp anacron.8 $RPM_BUILD_ROOT%{_mandir}/man8/
cp anacrontab.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/anacrontab

for i in cron.daily cron.weekly cron.monthly;do
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/$i/
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/$i/0anacron
#!/bin/sh
#
# anacron's cron script
#
# This script updates anacron time stamps. It is called through run-parts
# either by anacron itself or by cron.
#
# The script is called "0anacron" to assure that it will be executed
# _before_ all other scripts.

anacron -u $i

EOF
chmod +x $RPM_BUILD_ROOT%{_sysconfdir}/$i/0anacron
done

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

install -D -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pm-utils/sleep.d/07%{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%_post_service anacron

%preun
%_preun_service anacron

%postun
if [ "$1" -ge "1" ]; then
    service anacron condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,0755)
%doc COPYING ChangeLog README TODO 
%config(noreplace) %{_sysconfdir}/anacrontab
%dir /var/spool/anacron/
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/anacron
%{_datadir}/pm-utils/sleep.d/??%{name}
%config(noreplace) %{_sysconfdir}/cron.daily/0anacron
%config(noreplace) %{_sysconfdir}/cron.monthly/0anacron
%config(noreplace) %{_sysconfdir}/cron.weekly/0anacron



%changelog
* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-25mdv2008.1
+ Revision: 157348
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild with fixed %%serverbuild macro

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-23mdv2008.1
+ Revision: 148447
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Adam Williamson <awilliamson@mandriva.com> 2.3-22mdv2008.0
+ Revision: 64670
- provides cron-daemon

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 2.3-21mdv2008.0
+ Revision: 61313
- start anacron after haldaemon (and not after apmd, since on_ac_power is now in pm-utils and uses hal, #16843)
- do not mark initscript as config file


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 2.3-20mdv2007.1
+ Revision: 148202
- make pm-utils hook executable

* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 2.3-19mdv2007.1
+ Revision: 146721
- add pm-utils hook to restart anacron (#29369)

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 2.3-18mdv2007.1
+ Revision: 114520
- Import anacron

* Sun Jan 28 2007 Gtz Waschk <waschk@mandriva.org> 2.3-18mdv2007.1
- rebuild

* Tue May 16 2006 Pablo Saratxaga <pablo@mandriva.com> 2.3-18mdk
- changed init script to use generic (translator-friendly) strings

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 2.3-17mdk
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 2.3-16mdk
- parallel init support

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3-15mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3-14mdk
- fix rpmlint errors (PreReq) 
- s/Mandrakelinux/Mandriva Linux/
- mkrel

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.3-13mdk
- fix gcc-3.4 build (P1)
- fix the forbidden word;p
- drop redundant dependencies
- cosmetics

